Subject: FVWM: How to get window Mgrs other than twm work with X?

From: [email-masked] (Torsten Kuehn)
Date: Thu, 31 Jul 97 20:02:48 GMT

How can I set up a window manager other than twm with XFree86
when X is started with xdm? (I prefer xdm to startx or xinit scripts
because of xsm's checkpoint feature).
Other window manager's ressource files (such as .fvwmrc) don't help
much as long as twm isn't replaced by this other window manager.
Since two weeks I'm looking for a solution - I really need some hints.

Torsten Kuehn

=========BEGIN FORWARDED MESSAGE=========
> Date: Wed, 30 Jul 97 19:52:26 GMT
> From: [email-masked]  (Torsten Kuehn)
> To: [email-masked]
> Subject: Notes on QuickStart.doc

While the installation of XFree86 3.2 on a FreeBSD 2.2.2 system was easy,
the Doc files/ Readme's could however be improved in some respects
(I refer to QuickStart.doc from Aug. 26, 1996 by Joe Moss):

1.) Item "3.5 Ending text" is too short, as it only says that the server
could now be started by typing "xdm" or "startx" (I had already realized
that just typing "X" leaves me with a server without any xterm or other
windows - even worse, I didn't know that pressing Ctrl-Alt-Fx would
allow me to switch back to the text console windows...).
Some more hints about starting and customizing X would be greatly
appreciated! Links to other documents would last - at this time, I
still have great difficulties in setting up fvwm2 or afterstep as my
default window manager - just took .xinitrc from the man page and
replaced twm with fvwm2, not yet that satisfying).

2.) For some reason, X doesn't use csh's default environment. This is
to say, applications in /usr/local/bin are not found as they are not in
the path. Had to add a new "setenv PATH ..." line to /root/.cshrc.
The Backspace key didn't work in xterm with csh (difficult to type
longer command lines without making a mistake... - problem fixed
since I made tcsh my default shell).

3.) XF86Config and XF86Setup do not "know" 1152x864 resolutions
which are optimal for nowadays 17" monitors. After a look into the
86C864's config file for DOS/Win, I managed to set up this resolution.
As the desktop background is still displayed in dithered colours/ shades
of grey, I doubt if XF86_S3 really uses 8bpp (DefaultColorDepth is set
to this value).
BTW: had had some difficulties in setting up the screen blank
timeout correctly; it seems that changes to XF86Config do not
take into effect until next system reboot.
=========END FORWARDED MESSAGE=========

--
Visit the official FVWM web page at <URL:http://www.hpc.uh.edu/fvwm/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].

---

From: Rick Stuart <[email-masked]>
Date: Thu, 31 Jul 1997 16:58:20 -0500

Hello Torsten Kuehn,

> Since two weeks I'm looking for a solution - I really need some hints.

I agree that this has not been made very clear at all.  Any new user
un-familiar with Xwindows would not easily be able to devine this from
most casual reading.

To start properly from xdm, you must have a .xsession file in $HOME.  You
may want to link it to your .Xclients file or whatever you are using to
fire fvwm2 with startx.  In my case, I have a .Xclients file and I soft
linked .xsession to .Xclients.  Here is my .Xclients for what it is worth;
(I try to add plenty of comments to make it readable.)

----------------->attachment
#!/bin/bash
   #
   # load my X resources
   #
xrdb -load $HOME/.Xdefaults
   #
   # source the .profile (xdm seems to skip the normal login sequence)
   #
. /etc/profile
   #
   # Start an Xterm client
   #
xterm -geometry +312+312&
   #
   # Start a nice digital clock
   #
xclock  -geometry 249x40+532+0 -digital -fn 12x24 -update 30 &
   #
   # Start xconsole for system messages
   #
xconsole -geometry +0+0&
   #
   # Start the calendar tool
   #
ical -calendar $HOME/.calendar &
   #
   #  If fvwm2 is in the path, then fire it up (save errors in
   #                          $HOME/.fvwm-errors for debugging)
   #
if [ ! -z $(type -path fvwm2) ]; then
        exec fvwm2 -display :0 \
                > $HOME/.fvwm-errors 2>&1

else
   #
   # Ooops, not fvwm2
   #
        exec twm
fi
---------------->end attachment

Rick Stuart
Houston, TX
[email-masked], (281)876-8619